package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * WfYcHistoryData1对象 wf_yc_history_data1
 *
 * @author hlf
 * @date 2021-08-03
 */
public class WfYcHistoryData1 extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long analogNo;

    private Date dataTime;

    private Double ycRawVal;

    private Double ycVal;

    private Long dataFlag;

    public void setAnalogNo(Long analogNo) {
        this.analogNo = analogNo;
    }

    public Long getAnalogNo() {
        return analogNo;
    }

    public void setDataTime(Date dataTime) {
        this.dataTime = dataTime;
    }

    public Date getDataTime() {
        return dataTime;
    }

    public void setYcRawVal(Double ycRawVal) {
        this.ycRawVal = ycRawVal;
    }

    public Double getYcRawVal() {
        return ycRawVal;
    }

    public void setYcVal(Double ycVal) {
        this.ycVal = ycVal;
    }

    public Double getYcVal() {
        return ycVal;
    }

    public void setDataFlag(Long dataFlag) {
        this.dataFlag = dataFlag;
    }

    public Long getDataFlag() {
        return dataFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("analogNo", getAnalogNo())
                .append("dataTime", getDataTime())
                .append("ycRawVal", getYcRawVal())
                .append("ycVal", getYcVal())
                .append("dataFlag", getDataFlag())
                .toString();
    }
}
